Bug 73476 - fatal error: server.apacheRequest.UnknownXML : Invalid request received
fatal error: server.apacheRequest.UnknownXML : Invalid request received
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
null
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 02:11 EDT by Barry K. Nathan
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-05 10:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample up2date output (3.39 KB, text/plain)
2002-09-05 02:11 EDT, Barry K. Nathan
no flags Details

  None (edit)
Description Barry K. Nathan 2002-09-05 02:11:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Whenever I update packages using up2date, I get a weird error at the end. See
"Actual Results". I'm also going to attach a file with a sample up2date session.

Version-Release number of selected component (if applicable):
up2date 2.9.68-1

How reproducible:
Always (well, as long as there are new packages to install)

Steps to Reproduce:
1. Run up2date -ui from the command line
2. Packages get updated, and the error happens at the end.


Actual Results:  Successful, until the last bit:
"There was a fatal error communicating with the server. The message was:
While running 'registration.update_transactions': caught
server.apacheRequest.UnknownXML : Invalid request received (function:
registration.update_transactions invalid)."

Expected Results:  Success without a "fatal error" at the end.

Additional info:

This may have happened with some earlier versions of up2date during the null
beta cycle, but I'm not sure. I don't think it happened with 2.9.5x though.

My RHN username is barrykn.
Comment 1 Barry K. Nathan 2002-09-05 02:11:57 EDT
Created attachment 74985 [details]
sample up2date output
Comment 2 Adrian Likins 2002-09-05 10:54:11 EDT
Server side issue. Code to support a new feature hasnt been pushed
live yet. Will be pushed soon. 

In the meantime, disabling rollbacks will prevent this error
(enableRollbacks=0 in the config file)
Comment 3 Adrian Likins 2002-09-12 17:47:34 EDT
Should be fine with the current server code

Note You need to log in before you can comment on or make changes to this bug.